Bug 133818 - does not cleanup processes if closed
does not cleanup processes if closed
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 14:45 EDT by Dirk Westfal
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 10:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dirk Westfal 2004-09-27 14:45:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:

If evolution is closed it leaves a bunch of processes behind that need
to be killed manually: 

/usr/libexec/gconfd-2 14
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=18

This happens also when exiting the configuration wizard that shows up
when evolution is started the forst time. 

If a user aborts the wizard, ALL processes forked from it should be
killed - there`s no need to keep something like alarm notify running 
if the user decided to abort the wizard and evolution remains

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. as a user that has never called evolution before, call it
2. exit the appaering wizard by clicking 'cancel' on it`s first page. 
3. run ps ax 

Actual Results:  
You`ll see four evolution related processes that are still running and
will do so until next reboot. 

Expected Results:  All processes spawned by evolution should be killed. 
Only if the user completed the wizard the might be a alarm/notify
process running - but only if this is the default behaviour or the
user selected an appropiate option. 

Additional info:

Unclean shutdowns seem to be quite common with gnome apps. :(
Comment 1 Dave Malcolm 2004-09-27 15:05:58 EDT
Thanks for the report.  Are you running Gnome or KDE? (or something
else)  The gconfd-2 and bonobo-activation-server processses are shared
by most Gnome apps, and so they should hang around in a typical gnome

Which version of evolution are you running?  What does rpm -q
evolution say?  It looks like an old (FC2) version of evolution is
running, whereas this bug report says FC3test2.
Comment 2 Nathan Yehle 2004-10-12 14:03:04 EDT
on fedora core 2, evolution-1.4.6-2, I see alot of users leaving 
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=19

running even after they've logged out
Comment 4 John Thacker 2006-10-30 10:03:11 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against FC3 and has remained in NEEDINFO state for quite some
time.  Many packages and bugfixes have been made since the last substantive bug

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.